<script setup lang="ts">
import { useStockMeatStore } from "@/stores/stockMeat";
import { ref } from "vue";
import type { VForm } from "vuetify/components";
const stockMeatStore = useStockMeatStore();
const form = ref<VForm | null>(null);

const saveMeat = async () => {
  const { valid } = await form.value!.validate();
  if (valid) {
    stockMeatStore.saveStock();
  }
};

const clearStockMeat = () => {
  stockMeatStore.dialog = false;
  stockMeatStore.clearStockMeat();
};
</script>

<template>
  <v-row justify="center">
    <v-dialog v-model="stockMeatStore.dialog" persistent width="1024">
      <v-card>
        <v-card-title>
          <span class="text-h5">Vegetable</span>
        </v-card-title>
        <v-card-text>
          <v-form ref="form">
            <v-container>
              <v-row>
                <v-col cols="12" sm="6" md="6">
                  <v-text-field
                    label="Name*"
                    v-model="stockMeatStore.editedStockMeat.name"
                    :rules="[(v) => !!v || 'Name must not be null']"
                    required
                  ></v-text-field>
                </v-col>
                <v-col cols="12" sm="6" md="6">
                  <v-text-field
                    label="Minimum*"
                    v-model="stockMeatStore.editedStockMeat.minimum"
                    :rules="[(v) => !!v || 'Minimum must not be null']"
                    required
                  ></v-text-field>
                </v-col>
                <v-col cols="12" sm="6" md="6">
                  <v-text-field
                    label="Remainder*"
                    v-model="stockMeatStore.editedStockMeat.remain"
                    :rules="[(v) => !!v || 'Remainder must not be null']"
                    required
                  ></v-text-field>
                </v-col>
                <v-col cols="12" sm="6" md="6">
                  <v-text-field
                    label="Unit*"
                    v-model="stockMeatStore.editedStockMeat.unit"
                    :rules="[(v) => !!v || 'Unit must not be null']"
                    required
                  ></v-text-field>
                </v-col>
              </v-row>
            </v-container>
          </v-form>

          <small>*indicates required field</small>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="blue-darken-1" variant="text" @click="clearStockMeat">
            Close
          </v-btn>
          <v-btn color="blue-darken-1" variant="text" @click="saveMeat">
            Save
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>

<style scoped></style>
